? bin/qexo
? doc/qexo.1
Index: gnu/expr/Expression.java
===================================================================
RCS file: /cvs/kawa/kawa/gnu/expr/Expression.java,v
retrieving revision 1.26
diff -c -r1.26 Expression.java
*** gnu/expr/Expression.java	14 Oct 2005 07:17:50 -0000	1.26
--- gnu/expr/Expression.java	9 Nov 2005 15:31:48 -0000
***************
*** 60,65 ****
--- 60,66 ----
  	OutPort out = new OutPort(ps);
  	print(out);
  	out.flush();
+ 	out.close();
        }
    }
  
Index: gnu/kawa/functions/Format.java
===================================================================
RCS file: /cvs/kawa/kawa/gnu/kawa/functions/Format.java,v
retrieving revision 1.4
diff -c -r1.4 Format.java
*** gnu/kawa/functions/Format.java	6 Apr 2003 05:33:22 -0000	1.4
--- gnu/kawa/functions/Format.java	9 Nov 2005 15:31:48 -0000
***************
*** 100,105 ****
--- 100,106 ----
  	OutPort port = new OutPort((java.io.Writer) port_arg);
          format(port, args, 1);
  	port.flush();
+ 	port.close();
  	return Values.empty;
        } 
      else if (port_arg instanceof java.io.OutputStream)
***************
*** 107,112 ****
--- 108,114 ----
  	OutPort port = new OutPort((java.io.OutputStream) port_arg);
          format(port, args, 1);
  	port.flush();
+ 	port.close();
  	return Values.empty;
        }
      else
Index: gnu/kawa/functions/ObjectFormat.java
===================================================================
RCS file: /cvs/kawa/kawa/gnu/kawa/functions/ObjectFormat.java,v
retrieving revision 1.7
diff -c -r1.7 ObjectFormat.java
*** gnu/kawa/functions/ObjectFormat.java	5 Jun 2005 05:30:27 -0000	1.7
--- gnu/kawa/functions/ObjectFormat.java	9 Nov 2005 15:31:48 -0000
***************
*** 92,97 ****
--- 92,98 ----
  	OutPort oport = new OutPort(dst);
  	print(arg, oport, readable);
  	oport.flush();
+ 	oport.close();
  	return true;
        }
      else
***************
*** 100,105 ****
--- 101,107 ----
  	OutPort oport = new OutPort(wr);
  	print(arg, oport, readable);
  	oport.flush();
+ 	oport.close();
  	int len = wr.size();
  	if (maxChars < 0 || len <= maxChars)
  	  {
Index: gnu/kawa/xml/HttpPrinter.java
===================================================================
RCS file: /cvs/kawa/kawa/gnu/kawa/xml/HttpPrinter.java,v
retrieving revision 1.5
diff -c -r1.5 HttpPrinter.java
*** gnu/kawa/xml/HttpPrinter.java	2 Jul 2002 20:47:07 -0000	1.5
--- gnu/kawa/xml/HttpPrinter.java	9 Nov 2005 15:31:48 -0000
***************
*** 191,198 ****
      try
        {
  	// else ???;
! 	if (writer != null)
  	  writer.flush();
  	if (ostream != null)
  	  ostream.flush();
        }
--- 191,200 ----
      try
        {
  	// else ???;
! 	if (writer != null) {
  	  writer.flush();
+ 	  writer.close();
+ 	}
  	if (ostream != null)
  	  ostream.flush();
        }
Index: gnu/kawa/xml/KNode.java
===================================================================
RCS file: /cvs/kawa/kawa/gnu/kawa/xml/KNode.java,v
retrieving revision 1.7
diff -c -r1.7 KNode.java
*** gnu/kawa/xml/KNode.java	4 Nov 2005 06:28:57 -0000	1.7
--- gnu/kawa/xml/KNode.java	9 Nov 2005 15:31:48 -0000
***************
*** 372,377 ****
--- 372,378 ----
      CharArrayOutPort wr = new CharArrayOutPort();
      XMLPrinter xp = new XMLPrinter(wr);
      ((NodeTree) sequence).consumeNext(ipos, xp);
+     wr.close();
      return wr.toString();
    }
  
Index: gnu/lists/AbstractFormat.java
===================================================================
RCS file: /cvs/kawa/kawa/gnu/lists/AbstractFormat.java,v
retrieving revision 1.3
diff -c -r1.3 AbstractFormat.java
*** gnu/lists/AbstractFormat.java	4 Nov 2005 06:39:11 -0000	1.3
--- gnu/lists/AbstractFormat.java	9 Nov 2005 15:31:48 -0000
***************
*** 104,109 ****
--- 104,110 ----
      CharArrayOutPort out = new CharArrayOutPort();
      writeObject(val, out);
      sbuf.append(out.toCharArray());
+     out.close();
      return sbuf;
    }
  
Index: gnu/xml/NodeTree.java
===================================================================
RCS file: /cvs/kawa/kawa/gnu/xml/NodeTree.java,v
retrieving revision 1.11
diff -c -r1.11 NodeTree.java
*** gnu/xml/NodeTree.java	7 Oct 2005 06:31:28 -0000	1.11
--- gnu/xml/NodeTree.java	9 Nov 2005 15:31:48 -0000
***************
*** 207,212 ****
--- 207,213 ----
      CharArrayOutPort wr = new CharArrayOutPort();
      XMLPrinter xp = new XMLPrinter(wr);
      consume(xp);
+     wr.close();
      return wr.toString();
    }
  }
Index: gnu/xquery/testsuite/TestMisc.java
===================================================================
RCS file: /cvs/kawa/kawa/gnu/xquery/testsuite/TestMisc.java,v
retrieving revision 1.52
diff -c -r1.52 TestMisc.java
*** gnu/xquery/testsuite/TestMisc.java	17 Aug 2005 03:18:57 -0000	1.52
--- gnu/xquery/testsuite/TestMisc.java	9 Nov 2005 15:31:48 -0000
***************
*** 538,543 ****
--- 538,544 ----
      CharArrayOutPort wr = new CharArrayOutPort();
      gnu.xml.XMLPrinter xp = new gnu.xml.XMLPrinter(wr);
      xp.writeObject(value);
+     wr.close();
      return wr.toString();
    }
  
***************
*** 621,627 ****
  	ctx.consumer = save;
        }
  
!     return new String(out.toCharArray());
    }
  
  }
--- 622,630 ----
  	ctx.consumer = save;
        }
  
!     String result = new String(out.toCharArray());
!     out.close();
!     return result;
    }
  
  }
